<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport"
        content="width=device-width,
                   initial-scale=1,
                   shrink-to-fit=no">
  <link rel="stylesheet"
        href=
          "https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
  <title>www.e-bank.gov</title>
</head>

<body>
<h1 class="text-success text-center">
  E-bank 01.00.00
</h1>
<div class="container mt-5 ">
  <div class="row justify-content-center">
    <div class="col-md-6">
      <div class="card">
        <div class="card-body">
          <form id="loginForm" [formGroup]="userLoginFormGroup" (ngSubmit)="login(userLoginFormGroup)">
            <div class="form-group">
              <label for="login">
                login
              </label>
              <input type="text"
                     class="form-control"
                     id="login"
                     placeholder="Login"
                     formControlName="login">
            </div>
            <div class="form-group">
              <label for="password">
                Password
              </label>
              <input type="password"
                     class="form-control"
                     id="password"
                     placeholder="Password"
                     formControlName="password">
            </div>
            <p class="mt-3">

              <button class="btn btn-danger" type="submit">
                Se Connecter
              </button>
            </p>
            <div id="error-authentication-alert" *ngIf="isAuthenticatedError"
                 class="alert alert-danger alert-dismissible fade show" role="alert">
              <strong>Error Authentication</strong> {{ GlobalConstants.ERROR_AUTHENTICATION_MESSAGE }}.
              <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
            <div id="warning-authentication-alert" *ngIf="GlobalConstants.EXPIRED_AUTHENTICATION_STATUS"
                 class="alert alert-warning alert-dismissible fade show" role="alert">
              <strong>Warning Authentication</strong> {{ GlobalConstants.WARNING_AUTHENTICATION_MESSAGE }}.
              <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
          </form>


        </div>
      </div>
    </div>
  </div>
</div>
</body>

</html>
